{
    num: 142,
    accuracy: 75,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Lovely Kiss",
    pp: 10,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, metronome: 1 },
    onTry(target) {
        if (target.status === "slp" || target.hasAbility("comatose"))
            return false;
        if (target.hasAbility(["insomnia", "vitalspirit"])) {
            this.add("-fail", source, "[from] ability: " + source.getAbility().name, "[of] " + source);
            return null;
        }
    },
    onHit(target, source, move) {
        const result = target.setStatus("slp", source, move);
        if (!result)
            return result;
    },
    secondary: null,
    target: "normal",
    type: "Normal",
    zMove: { boost: { spe: 1 } },
    contestType: "Beautiful"
}
